Description

Since we are not (yet) building on multiple slaves in "local mode", meaning the local jenkins, scm checkouts are performed 3 (!!!)

times.

Example: Job-generator without fast mode (see #216) checks out the repo to parse it. The job is created, the "master", which in this

case is also the build slave, checks out the repo, then the build slave (same machine) is triggered --- checks it out again. This could

take

up to 15 minutes for a 400MB repository (MORSE). However, we can make use of the "tie job to node" feature of jenkins which

reduces

the checkout by 1.

I am not sure if this is a feature of a multi-conf job or not. I guess so.

History

#1 - 2014-03-16 19:57 - Florian Lier

- File tie_parent.png added

Here:

#2 - 2014-03-19 18:15 - Jan Moringen

- Status changed from New to Feedback

I am not sure if this is a feature of a multi-conf job or not. I guess so.

 

Please investigate this further and describe the proposed approach in more detail.

#3 - 2014-11-27 08:04 - Florian Lier

- Status changed from Feedback to Rejected
tie_parent.png 23.92 KB 2014-03-16 Florian Lier
